I can’t join

Posted by bobtheduck , 12th Mar, 2020 @ 12:13 pm

Page 1 of 1 :
1
 
bobtheduck
user

Quiet Member

 

Whenever I try go onto the server it says “ please make sure you connect to a compatible terraria server intended for the latest mobile version”. I checked and I had the latest mobile version so what should I do???


12th Mar, 2020 @ 12:13 pm
Page 1 of 1 :
1
 
 

Reply